/** @file
 * $Source: /repository/event/NullAlgorithm.cpp,v $
 * $Id: NullAlgorithm.cpp,v 1.1 2008-01-11 17:14:21 messineo Exp $
 * $Author: messineo $
 * 
 * Implementation of the default functions of the Algorithm class.
 */

#include "Algorithm.h"

using namespace pamela;

NullAlgorithm::NullAlgorithm(const PacketType *t): 
  Algorithm(t, "NullAlgorithm") { }

std::string NullAlgorithm::GetVersionInfo(void) const {
  return 
    "$Header: /repository/event/NullAlgorithm.cpp,v 1.1 2008-01-11 17:14:21 messineo Exp $\n";
}

ClassImp(NullAlgorithm)
